Name:		qubes-core-admin-client
Version:    4.2.11
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	make
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
BuildRequires:	python%{python3_pkgversion}-lxml
BuildRequires:	python%{python3_pkgversion}-xcffib
BuildRequires:	python%{python3_pkgversion}-tqdm
BuildRequires:	python%{python3_pkgversion}-yaml
BuildRequires:	python%{python3_pkgversion}-pyxdg
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
Requires:   qubes-repo-templates
Requires:   scrypt
Requires:   qubes-rpm-oxide >= 0.2.3
Requires:   xrandr
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz
Conflicts:  qubes-core-agent < 4.1.9
# qubes-guid -C option
Conflicts:  qubes-gui-daemon < 4.1.7

%description
This package include managemt tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-daemon
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Requires:   python%{python3_pkgversion}-rpm
Requires:   python%{python3_pkgversion}-tqdm
Requires:   python%{python3_pkgversion}-pyxdg
Conflicts:  qubes-core-dom0 < 4.1.12
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-daemon.desktop
%config /etc/xdg/autostart/qvm-start-daemon-kde.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin
/etc/qubes/post-install.d/30-keyboard-layout-service.sh

%changelog
* Sun Apr 14 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client

* Sun Apr 14 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e54eb38
- version 4.2.11

* Mon Apr 08 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5f59503
- qvm-start-daemon: ignore self qube for starting audio/gui daemons

* Tue Mar 26 2024 Kamil Aronowski <kamil.aronowski@yahoo.com> - 8eacadd
- qvm-create.rst: update from dispvm_allowed to template_for_dispvms

* Thu Mar 14 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - a80af18
- Enable starting DispVMs from admin API

* Sat Mar 09 2024 Yousef Alzahrani <62772396+ZYousef@users.noreply.github.com> - 2c368e0
- seperate with comma to avoid column ambiguity

* Thu Mar 07 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 9e77670
- Minor improvements to Mock App

* Mon Mar 04 2024 Yousef Alzahrani <62772396+ZYousef@users.noreply.github.com> - a084d3a
- printing list object as one string for list-like properties

* Sat Mar 02 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - e6ce069
- improving test coverage, removing unused imports

* Sat Mar 02 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - 3b5de38
- line lengths

* Sat Mar 02 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - dcbcb03
- redirect rpmbuild output to dev-null making the test lest verbose in the logs

* Fri Mar 01 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - 2b7b25b
- make pylint happier

* Fri Mar 01 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - 7b84187
- whitespace refactor for pylint

* Fri Mar 01 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - 6c44bb9
- add tests for the new rpm extraction logic

* Fri Mar 01 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - 2c0a1e9
- unrelated comment fix

* Fri Mar 01 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - e33eaf0
- raise exception if symlink not found + add a note about file order in tar

* Sun Feb 25 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - b6eb773
- issue #8876: first seemingly working draft, tests not updated/extended yet, unclear if part order can be assumed [skip ci]

* Tue Feb 06 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - b2ccba7
- shorten line (addressing pylint hint)

* Tue Feb 06 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - 261522c
- minor cleanup of rpm2cpio usage leftover in var name

* Mon Feb 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f21e757
- version 4.2.10

* Mon Feb 05 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - f4702b7
- Revert "Do not enable "low latency" mode for pipewire"

* Fri Jan 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bbbbc1f
- Switch to sequoia for codecov signature check

* Fri Jan 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a6b391b
- tests: increase qvm-firewall width

* Fri Jan 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8f1210e
- Update tests for Python 3.12

* Wed Jan 03 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 651c9c2
- Add attaching devices to mock API

* Tue Dec 19 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 3d3a1a9
- Add a mock Qubes object with improved contents

* Mon Dec 11 2023 Simon Gaiser <simon@invisiblethingslab.com> - 25c3254
- qvm-prefs: Don't falsely report 'no such property'

* Fri Dec 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6b5a7bd
- Fix man page about qvm-run --all

* Tue Nov 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e789256
- version 4.2.9

* Fri Nov 17 2023 Rusty Bird <rustybird@net-c.com> - f55fd05
- qvm-template: fix hardcoded '4.1' in default RPM keyring location

* Sun Nov 12 2023 Rusty Bird <rustybird@net-c.com> - 63560fd
- backup/restore: always use backup-size as an estimate

* Sun Nov 12 2023 Rusty Bird <rustybird@net-c.com> - 7c4000e
- doc: fix ephemeral property requirement in qvm-volume manpage

* Sun Nov 12 2023 Rusty Bird <rustybird@net-c.com> - c0904f8
- tools: fix -p syntax error message in qvm-create and qvm-clone

* Mon Oct 16 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 89e5dfa
- Document making applications open stuff in disposable VMs

* Mon Oct 16 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - cd32b5b
- Marek's name got changed

* Tue Oct 10 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6ac47bc
- version 4.2.8

* Tue Oct 10 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a66ddfa
- version 4.2.7

* Sun Oct 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 02ecff7
- Do not enable "low latency" mode for pipewire

* Wed Oct 04 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fbebb4e
- Add readthedocs config

* Fri Sep 29 2023 Kez <kez@torproject.org> - a0edfb3
- Supress legacy help text

* Sun Sep 10 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce5274c
- version 4.2.6

* Thu Sep 07 2023 Kamil Aronowski <kamil.aronowski@yahoo.com> - cf001ff
- Fix a typo: managment -> management

* Thu Sep 07 2023 Kamil Aronowski <kamil.aronowski@yahoo.com> - afe6bfa
- Add the "POOL_NAME" metavar to -p/--pool

* Thu Sep 07 2023 Kamil Aronowski <kamil.aronowski@yahoo.com> - 8791bf4
- Replace qvm-block references in qvm_volume.py

* Thu Sep 07 2023 Gonzalo Bulnes Guilpain <gon.bulnes@fastmail.com> - d9dd935
- Minor fix misspelling in docstring

* Sun Aug 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 193a345
- version 4.2.5

* Sat Aug 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 99c34ad
- Make qvm-run --nogui default if DISPLAY is not set

* Thu Aug 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - beefb31
- Make pylint happy

* Tue Aug 08 2023 jamke <47451874+jamke@users.noreply.github.com> - 4191234
- Improve layout filtering of options for setxkbmap

* Tue Aug 08 2023 jamke <47451874+jamke@users.noreply.github.com> - 2cc0898
- Fix: qvm-ls outputs to stderr for --help-* calls

* Tue Aug 08 2023 jamke <47451874+jamke@users.noreply.github.com> - ffdc36e
- Fix markup issue in qvm-create.rst: *NAME*=*VALUE*

